// $Id: MDMX_lcd.h 331 2008-05-10 20:31:33Z tk $
/*
 * MIDIbox MM V2 (C version)
 *
 * ==========================================================================
 *
 *  Copyright (C) 2005 Thorsten Klose (tk@midibox.org)
 *  Licensed for personal non-commercial use only.
 *  All other rights reserved.
 * 
 * ==========================================================================
 */

#ifndef _MDMX_LCD_H
#define _MDMX_LCD_H

/////////////////////////////////////////////////////////////////////////////
// Exported variables
/////////////////////////////////////////////////////////////////////////////

#define MDMX_LCD_LINE_LENGTH 40;
/////////////////////////////////////////////////////////////////////////////
// Prototypes
/////////////////////////////////////////////////////////////////////////////

void MDMX_LCD_Init(void);
void MDMX_LCD_Msg_CursorSet(unsigned char cursor_pos);
unsigned char MDMX_LCD_Msg_CursorGet(void);
void MDMX_LCD_Msg_PrintChar(unsigned char c, unsigned char force);
void MDMX_LCD_Msg_Refresh(void);
void MDMX_LCD_Msg_PrintHost(unsigned char cursor, unsigned char c);
void MDMX_LCD_Set_String(unsigned char start, unsigned char string[]);

void MDMX_LCD_PointerInit(unsigned char type);
void MDMX_LCD_PointerPrint(unsigned char pointer);
void MDMX_LCD_PointerSet(unsigned char pointer, unsigned char value);

void MDMX_LCD_SpecialCharsInit(unsigned char charset);
void MIOS_LCD_WriteControl (unsigned char my_data);
void MDMX_LCD_Blank(unsigned char line);
void MDMX_LCD_CursorOn();
void MDMX_LCD_CursorOff();
void MDMX_LCD_WipeOffRL (void);
void MDMX_LCD_WipeOnLR (char *ptr);
void MDMX_LCD_WipeOffLR (void);
void MDMX_LCD_WipeOnRL (char *ptr);
#endif /* _MDMX_LCD_H */
